# QVariantAnimation Class Reference

### [com.trolltech.qt.core package]

Inherits QAbstractAnimation.

### Constructor

- void QVariantAnimation(QObject parent)

### Constructor Properties

- prototype: The QVariantAnimation prototype object

### Prototype Object Properties

The QVariantAnimation prototype object inherits properties from the QAbstractAnimation prototype object and also has the following properties.

- Object keyValueAt(qreal step)
- List keyValues()
- void setKeyValueAt(qreal step, Object value)
- void setKeyValues(List values)

### Instance Properties

QVariantAnimation objects inherit properties from the QVariantAnimation prototype object and also have the following properties.

- startValue
- endValue
- currentValue
- duration
- easingCurve